FROM node:20-alpine3.17

# Install basic development tools
# RUN apt update \
# && apt install -y less sudo \
# && apt install -y php \
# && php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');" \
# && php composer-setup.php \
# && php -r "unlink('composer-setup.php');" \
# && mv composer.phar /usr/local/bin/composer


# # Ensure default `node` user has access to `sudo`
# ARG USERNAME=node
# RUN echo $USERNAME ALL=\(root\) NOPASSWD:ALL > /etc/sudoers.d/$USERNAME \
#     && chmod 0440 /etc/sudoers.d/$USERNAME
WORKDIR /app

# Set `DEVCONTAINER` environment variable to help with orientation
ENV DEVCONTAINER=true
